title: Blog
@extends:
    type: default
    context: blueprints://pages

child_type: item


title: Default

rules:
  slug:
    pattern: "[a-z][a-z0-9_\-]+"
    min: 2
    max: 80

form:
  fields:
    tabs:
      type: tabs
      active: 1

      fields:
        advanced:
          fields:
            overrides:
              fields:
                header.child_type:
                  default: item
        blog:
          type: tab
          title: Blog List

          fields:
            header.content.items:
              type: select
              label: Items
              default: '@self.children'
              options:
                '@self.children': Children

            header.content.limit:
              type: text
              label: Max Item Count
              default: 5
              validate:
                required: true
                type: int
                min: 1

            header.content.order.by:
              type: select
              label: Order By
              default: date
              options:
                folder: Folder
                title: Title
                date: Date
                default: Default

            header.content.order.dir:
              type: select
              label: Order
              default: desc
              options:
                asc: Ascending
                desc: Descending

            header.content.pagination:
              type: toggle
              label: Pagination
              highlight: 1
              default: 1
              options:
                1: Enabled
                0: Disabled
